Subject: Re: bug#55234: 28.1; replace-string in rectangle regio

From: Juri Linkov <[email-masked]>
Date: Tue, 03 May 2022 09:57:32 +0300

> I opened a rectangle region with `C-x SPC`. I traversed left and down
> (i.e. the rectangle was started in the top-right corner). Then I
> replaced region and not all the occurrences were replaced. Only the
> occurrences between the starting and ending position of the cursor and
> inside the region.

Thanks for the bug report.  Actually this is a more fundamental problem.
`replace-string` just uses `region-beginning` and `region-end`.
So the question is why `region-beginning` and `region-end`
don't return rectangular region boundaries.  The second question is
why `region-beginning` and `region-end` are implemented in C,
so it's more tricky to fix them to use rectangular region boundaries.